# -*- conf -*-

# Global values
min-width=300
max-width=500
max-height=300
stacking-order=bottom-up
anchor=top-right
edge-margin-vertical=30
edge-margin-horizontal=20
notification-margin=10
icon-theme={{ icon_theme }}
max-icon-size=64
selection-helper={{ launcher }} {{ dmenu_flag }} -p 'Notification{{ (launcher == 'fuzzel') | ternary(': ', '') }}'
play-sound=pw-play ${filename}
layer=overlay

# Default values, may be overridden in 'urgency' specific sections
dpi-aware=no
background={{ colors.background | regex_replace('^#', '') }}{{ '%x' % ( (ui_opacity * 255.0) | round | int) }}
border-size=2
border-color={{ colors.blue | regex_replace('^#', '') }}ff
padding-vertical=8
padding-horizontal=8
progess-bar-height=10
progress-bar-color={{ colors.blue | regex_replace('^#', '') }}ff
title-font={{ monospace_font }}:slant=italic:size={{ font_size }}
title-format=<i>%a%A</i>
summary-font={{ monospace_font }}:weight=bold:size={{ font_size }}
summary-format=<b>%s</b>\n
body-font={{ monospace_font }}:size={{ font_size }}
body-format=%b
default-timeout=10
# sound-file=
icon={{ xdg_dir.data_home }}/icons/notifications/penguin.png

[low]
title-color={{ colors.blue | regex_replace('^#', '') }}ff
summary-color={{ colors.blue | regex_replace('^#', '') }}ff
body-color={{ colors.blue | regex_replace('^#', '') }}ff

[normal]
title-color={{ colors.yellow | regex_replace('^#', '') }}ff
summary-color={{ colors.yellow | regex_replace('^#', '') }}ff
body-color={{ colors.yellow | regex_replace('^#', '') }}ff

[critical]
border-color={{ colors.yellow | regex_replace('^#', '') }}ff
background={{ colors.red | regex_replace('^#', '') }}{{ '%x' % ( (ui_opacity * 255.0) | round | int) }}
title-color={{ colors.background | regex_replace('^#', '') }}ff
summary-color={{ colors.background | regex_replace('^#', '') }}ff
body-color={{ colors.background | regex_replace('^#', '') }}ff
progress-bar-color={{ colors.yellow | regex_replace('^#', '') }}ff
icon={{ xdg_dir.data_home }}/icons/notifications/penguin_red.png
default-timeout=0
